Page MenuHomePhabricator

Pywikibot-catimages: Meeting 4 - Fri 20 May 2016 - 11:30 UTC
Closed, ResolvedPublic

Description

Date: 20 May 2016
Time: 11:30 UTC
Type: Skype, since the last had issues due to weather (fallback: Chat on IRC channel #gsoc-catimages)

Description: 4rd meeting to discuss the projects progress and talk about the plan, community bonding ends

Agenda:

  • 1. Week up to come
  • Community Bonding Period Report
  • Consensus on plan and timeline (1st week starts now)
    • Project Plan, second 50%
    • Outcomes/Measurables to be finished (and redefined)
    • Milestones
    • Have a separate meeting soon about handling non-pip packages. Check MoM of T134121 for more info
  • Check progress made:
    • invalid file types: T129845, T131934, category?
    • unidentified people (Faces, People): Category:Unidentified people
    • portrait vs. landscape detection: autorotation for photos, category?
    • reach 250 edits to commons (including wikimedia color categorization)
    • 2 pull requests to projects other than pywikibot but used by catimages. Improving their setup.py or getting them travis support.

Minutes of the Meeting:

  • Report for this week:
    • Minimum viable product for midterm: I've made a list of features I think that are easy+good to have based on the current working of catimages. You can find the list at the top of https://etherpad.wikimedia.org/p/Zl7V7KuK7J
    • Get involved in dependencies of catimages: This is a compilation of things that I followed up from what @jayvdb had suggested last time
      • Gave Yaafe python 3 support
      • bob mentioned that they are aware of the travis failing and they will fix it in their server (nothing I can do) link
      • cyvlfeat declined travis builds for py2.6 and 3.3 because conda doesnt support it anymore link
      • matplotlib has purposely removed 2.6 and 3.3 from their travis - they don't support it anymore. link
    • Contributions to commons - I got a few more edits on commons
    • Ping on mailing lists - I sent a mail to pywikibot, wikitech-I, commons-I mailing lists (Fae responded with some ideas and a dataset list)
    • Unidentified Faces - I did a bunch of research on unidentified faces. I tried using one of the method that catimages was using (haarcascades) and found that the default values gave lots of errors. Possibly I need to tweak it a lot more. I also tried to read on facebook's face detection - and realized it's not usable by us (even if it wasn't proprietary) because it simply compares the image with an existing dartabase of billions that are tagged by their users.
    • pytest - This is regarding the issue T115313. I did some stuff related to this like making pytest-attrib. @jayvdb was involved in pretty much everything so not giving a very detailed report of things done.
  • need to finish community bonding period by finishing report (write and sign-off)

Event Timeline

DrTrigon created this task.May 13 2016, 1:54 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 1:54 PM
DrTrigon updated the task description. (Show Details)May 14 2016, 12:14 AM
DrTrigon updated the task description. (Show Details)
DrTrigon renamed this task from Pywikibot-catimages: Meeting 4 - Fri 20 May 2016 - 12:30 UTC to Pywikibot-catimages: Meeting 4 - Fri 20 May 2016 - 11:30 UTC.May 20 2016, 1:09 PM
DrTrigon closed this task as Resolved.
DrTrigon updated the task description. (Show Details)
DrTrigon updated the task description. (Show Details)
AbdealiJK updated the task description. (Show Details)May 20 2016, 2:50 PM
DrTrigon updated the task description. (Show Details)May 20 2016, 3:26 PM